--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns an ObjectId for the given name. Names are in the format &lt;ModuleName&gt;::&lt;NodeName&gt;.&lt;Index&gt; with ModuleName and Index being optional.
full_name: SNMP::MIB#oid
is_singleton: false
name: oid
params: (name)
visibility: public
